Page MenuHomePhabricator

Extension MultiUpload failing tests due to apihelp message missing
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm-jessie-non-voting/86/console

17:35:47 1) ApiDocumentationTest::testDocumentationExists with data set "Module multiupload-unpack with MiserMode=false, AllowCategorizedRecentChanges=false" ('multiupload-unpack', array(false, false))
17:35:47 Module description message apihelp-multiupload-unpack-description exists
17:35:47 Failed asserting that false is true.
17:35:47 
17:35:47 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
17:35:47 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
17:35:47 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
17:35:47 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
17:35:47 
17:35:47 2) ApiDocumentationTest::testDocumentationExists with data set "Module multiupload-unpack with MiserMode=true, AllowCategorizedRecentChanges=true" ('multiupload-unpack', array(true, true))
17:35:47 Module description message apihelp-multiupload-unpack-description exists
17:35:47 Failed asserting that false is true.
17:35:47 
17:35:47 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
17:35:47 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
17:35:47 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
17:35:47 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
17:35:47

Details

Related Gerrit Patches:
mediawiki/extensions/MultiUpload : masterAdd missing apihelp messages to the MultiUpload Extension

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 4 2017, 8:01 PM
MtDu claimed this task.Jan 8 2017, 11:28 PM
MtDu added a subscriber: MtDu.

Should be a simple fix.

Change 331225 had a related patch set uploaded (by MtDu):
Add missing apihelp messages to the MultiUpload Extension

https://gerrit.wikimedia.org/r/331225

Change 331225 merged by jenkins-bot:
[mediawiki/extensions/MultiUpload@master] Add missing apihelp messages to the MultiUpload Extension

https://gerrit.wikimedia.org/r/331225

Umherirrender closed this task as Resolved.Jun 13 2017, 8:09 PM
Umherirrender triaged this task as Medium priority.